Hello Beto,

Thank you for the replay,
Would you please kindly tell me where is the instruction written on which web? for future
refrence.

Second:
You wrote that i should "add" the line /usr/X11R6/lib/linux-flashplugin6 to
/usr/X11R6/lib/firefox/run-mozilla.sh take a note that its linux-flashplugin7 not 6
6 is not supported anymore. is it correct then?

Whats the way to add the line, i have done the following is it correct ?
MOZ_PLUGIN_PATH=/usr/X11R6/lib/browser_plugins:/usr/X11R6/lib/browser_linux_plugins:/usr/X11R6/lib/linux-flashplugin7

Or it should be only MOZ_PLUGIN_PATH=/usr/X11R6/lib/linux-flashplugin7    ??

Third and last:
After i did the past steps i tried to run firefox and i opened a page that contain flash
 then firefox crushed with an error
/libexec/ld-elf.so.1: /usr/local/lib/pluginwrapper/flash7.so: undefined symbol "_dlsym"

 So i proced to your last step and I did
 # cd /usr/src
 # patch < rtld_dlsym_hack.diff
 # cd libexec/rtld-elf
 # make rtld

 Till here everything was Ok! when i tried to do "make install"
 it gave me an error..
 # make install
chflags noschg /usr/libexec/ld-elf.so.1
install -s -o root -g wheel -m 555  -C -b -fschg -S ld-elf.so.1 /libexec
install: ld-elf.so.1: No such file or directory
*** Error code 71

Stop in /usr/src/libexec/rtld-elf.

Sorry for the long email, wish i got the help.
And thank you.

Marwan




On Tue, 23 May 2006 23:40:37 +0000
"Marwan Sultan" <[EMAIL PROTECTED]> wrote:

> hello everyone!
>
> I'm really sorry to ask over here, but sick and tired browsing and asking
> around.
>
>   I'm on latest FreeBSD 6.1R latest KDE and latest firefox 1.5.3
> I cannot find the flash plugins for Konqueror because no more port for it,
> (linux-flashplgin6)
>
>   So i have installed Firefox, now i'm lost, which in port is the flash
> plugin?
>
>   I have linux-flashplugin7 installed, linuxpluginwrapper,

looks ok

$ pkg_info | grep -i flash && pkg_info | grep -i firefox
linux-flashplugin-7.0r63 The official Macromedia Flash Player for Linux Mozilla

 firefox-1.5.0.3,1   Web browser based on the browser portion of Mozilla
firefox-remote-20040803 Wrapper scripts for firefox web browser


>
>   But flash still not workin in firefox, i dont know what to do now?
> Will someone kindly guied me for this? how to install flash, for firefox?
> and enable it.

from someone else's kind instructions, which worked great for me:

- modify your libmap.conf , following what is shown in
what  /usr/local/share/examples/linuxpluginwrapper/libmap.conf-FreeBSD6

- Finally edit /usr/X11R6/lib/firefox/run-mozilla.sh and add
 /usr/X11R6/lib/linux-flashplugin6 to MOZ_PLUGIN_PATH
 (near the end of the script) (colon-separated path components)

- path your kernel:
Please get and apply a dlsym(3) hook patch (apply in /usr/src ; then cd
libexec/rtld-elf and do make rtld)
http://people.FreeBSD.org/~nork/rtld_dlsym_hack.diff This provides _dlsym(3) function to fix dynamic-link error "can't find gtk_major_version" ad-hoc-ly.

$cd /usr/src
$fetch http://people.FreeBSD.org/~nork/rtld_dlsym_hack.diff
$patch < rtld_dlsym_hack.diff
$ cd libexec/rtld-elf
$sudo make rtld
$ sudo make install



>
>   Also How to install java? on firefox? it would be my next step.
>
>   Is there by any chance away to run flash for Konqueror? or better to
> delete this package if im
>   having firefox?

i dont know, dont use kde.

good luck,
Beto

_________________________________________________________________
FREE pop-up blocking with the new MSN Toolbar - get it now! http://toolbar.msn.click-url.com/go/onm00200415ave/direct/01/

_______________________________________________
freebsd-questions@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-questions
To unsubscribe, send any mail to "[EMAIL PROTECTED]"

Reply via email to